Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 919730 - [abrt] flumotion-0.10.0-4.fc18: common.py:393:assertSSLAvailable:AttributeError: 'module' object has no attribute 'sslEnabled'
Summary: [abrt] flumotion-0.10.0-4.fc18: common.py:393:assertSSLAvailable:AttributeErr...
Keywords:
Status: CLOSED DUPLICATE of bug 833548
Alias: None
Product: Fedora
Classification: Fedora
Component: flumotion
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Vander Stichele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:df3bf7cfb1c90783fb7cefd8655...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-09 19:45 UTC by orti1980
Modified: 2014-11-01 04:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 19:48:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.03 KB, text/plain)
2013-03-09 19:45 UTC, orti1980
no flags Details
File: core_backtrace (533 bytes, text/plain)
2013-03-09 19:45 UTC, orti1980
no flags Details
File: environ (1.79 KB, text/plain)
2013-03-09 19:45 UTC, orti1980
no flags Details

Description orti1980 2013-03-09 19:45:30 UTC
Version-Release number of selected component:
flumotion-0.10.0-4.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/flumotion-manager --rundir=/tmp/tmpcYnhxa.flumotion/var/run --logdir=/tmp/tmpcYnhxa.flumotion/var/log -D --daemonize-to /home/orti --service-name admin /tmp/tmpcYnhxa.flumotion/etc/managers/admin/planet.xml
executable:     /usr/bin/flumotion-manager
kernel:         3.8.1-201.fc18.x86_64
uid:            1000

Truncated backtrace:
common.py:393:assertSSLAvailable:AttributeError: 'module' object has no attribute 'sslEnabled'

Traceback (most recent call last):
  File "/usr/bin/flumotion-manager", line 42, in <module>
    boot.boot(PROGRAM_PATH, gst=False, gtk=False, installReactor=False)
  File "/usr/lib64/flumotion/python/flumotion/common/boot.py", line 305, in boot
    sys.exit(wrapped(sys.argv))
  File "/usr/lib64/flumotion/python/flumotion/manager/main.py", line 231, in main
    configure.configdir)
  File "/usr/lib64/flumotion/python/flumotion/common/server.py", line 99, in startSSL
    common.assertSSLAvailable()
  File "/usr/lib64/flumotion/python/flumotion/common/common.py", line 393, in assertSSLAvailable
    if not posixbase.sslEnabled:
AttributeError: 'module' object has no attribute 'sslEnabled'

Local variables in innermost frame:
posixbase: <module 'twisted.internet.posixbase' from '/usr/lib64/python2.7/site-packages/twisted/internet/posixbase.pyc'>
errors: <module 'flumotion.common.errors' from '/usr/lib64/flumotion/python/flumotion/common/errors.py'>

Potential duplicate: bug 833548

Comment 1 orti1980 2013-03-09 19:45:38 UTC
Created attachment 707533 [details]
File: backtrace

Comment 2 orti1980 2013-03-09 19:45:40 UTC
Created attachment 707534 [details]
File: core_backtrace

Comment 3 orti1980 2013-03-09 19:45:43 UTC
Created attachment 707535 [details]
File: environ

Comment 4 Adrian Offerman 2013-05-06 21:25:39 UTC
According to bug report #833548 an update to flumotion-0.10.1 should fix this problem.

Comment 5 Jean-Jacques Sarton 2013-07-25 06:02:32 UTC
The same apply for flumotion-0.10.0-6.fc19.x86_64 which is the actual release.
whre can I find the version flumotion-0.10.1 ?

Comment 6 Adrian Offerman 2013-07-30 20:51:25 UTC
Check out:
http://www.flumotion.net/src/flumotion/

Beware, however, if you're new to Flumotion. I've spend quiet some time trying to create a nice setup, but it didn't work out. Read my conclusions over here:
http://lists.fluendo.com/pipermail/flumotion-devel/2013-June/000685.html
I'm about to give up on Flumotion, as IMO it's not practically usable by a newcomer. I'll be looking at VLC+Icecast instead.

Comment 7 Fedora End Of Life 2013-12-21 12:00:36 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2014-02-05 19:48:06 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Sergio Basto 2014-11-01 04:05:42 UTC

*** This bug has been marked as a duplicate of bug 833548 ***


Note You need to log in before you can comment on or make changes to this bug.